Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.xmpp
Class UserMessageContext

    java.lang.Object
      com.atlassian.bamboo.xmpp.UserMessageContext

    public class UserMessageContext

extends Object

Nested Class Summary
`class` | `UserMessageContext.Commands`
`class` | `UserMessageContext.Notifications`

Field Summary
`static String` | `BUILD_KEY`
`static String` | `BUILD_NUMBER`
`static String` | `CREATED`
`static String` | `LAST_INCOMING_FULL_MESSAGE`
`static String` | `LAST_SERVER_RESPONSE`
`static String` | `LAST_USER_INPUT`
`static String` | `PROJECT_KEY`
`static String` | `UPDATED`
`static String` | `USER_INPUT_BODY`

Constructor Summary
`UserMessageContext()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROJECT_KEY

    public static final String PROJECT_KEY

See Also:
  Constant Field Values

### BUILD_KEY

    public static final String BUILD_KEY

See Also:
  Constant Field Values

### BUILD_NUMBER

    public static final String BUILD_NUMBER

See Also:
  Constant Field Values

### CREATED

    public static final String CREATED

See Also:
  Constant Field Values

### UPDATED

    public static final String UPDATED

See Also:
  Constant Field Values

### LAST_USER_INPUT

    public static final String LAST_USER_INPUT

See Also:
  Constant Field Values

### LAST_SERVER_RESPONSE

    public static final String LAST_SERVER_RESPONSE

See Also:
  Constant Field Values

### USER_INPUT_BODY

    public static final String USER_INPUT_BODY

See Also:
  Constant Field Values

### LAST_INCOMING_FULL_MESSAGE

    public static final String LAST_INCOMING_FULL_MESSAGE

See Also:
  Constant Field Values

Constructor Detail

### UserMessageContext

    public UserMessageContext()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.